Skip to main content
GET
Get design products

Authorizations

X-Api-Key
string
header
required

Company Level Authentication

Include your API key in the X-Api-Key header for every request:

Headers

snappy-account-id
string
required

Required. Account identifier.

Minimum string length: 1
Example:

"acc123456"

Path Parameters

designId
string<uuid>
required

Design UUID.

Example:

"3f1c2a9e-8b7d-4c1e-9f0a-2b3c4d5e6f70"

Query Parameters

location
string
default:US

ISO 3166-1 alpha-2 country code. Drives price and availability.

Pattern: ^[A-Z]{2}$
Example:

"US"

include
enum<string>[]

Related entities to include.

Related entities to include.

Available options:
brand,
tags
Example:
fields
enum<string>[]

Computed product fields.

Computed or expanded fields for product list responses.

Available options:
priceRange,
variantsCount
Example:
page[number]
integer
default:1

Page number, starting at 1.

Required range: x >= 1
Example:

1

page[size]
integer
default:100

Products per page (1-100).

Required range: 1 <= x <= 100
Example:

100

Response

Paginated list of the products of the design.

Paginated products of a design.

data
object[]
required

Products of the design for the requested page.

Top-level JSON:API-style pagination links for paginated list responses. first, next, and prev are all required and all nullable. prev is null on cursor-paginated endpoints (backward navigation not supported).

Last modified on November 18, 2026